package dev.fyloz.backup.dtos

import dev.fyloz.backup.entities.BackupFile
import kotlinx.serialization.Serializable

@Serializable
data class CreateBackupResponse(
    val id: String,
    val machineId: String
)

@Serializable
data class UploadFileResponse(
    val id: String,
    val name: String,
    val path: String,
    val murmur3Hash: String
) {
    constructor(file: BackupFile) : this(file.id.toString(), file.name, file.path, file.murmur3Hash)
}
