package dev.fyloz.backup.data

import dev.fyloz.backup.entities.Backup
import dev.fyloz.backup.entities.Machine
import org.litote.kmongo.KMongo
import org.litote.kmongo.getCollection

class MongoDatabase {
    private val client = KMongo.createClient()
    private val database = client.getDatabase("backups")

    val backupCollection = database.getCollection<Backup>()
    val machineCollection = database.getCollection<Machine>()
}