package dev.fyloz.backup.entities

import org.bson.codecs.pojo.annotations.BsonId
import org.litote.kmongo.Id
import java.time.LocalDateTime

data class Machine(
    @BsonId
    val id: Id<Machine>,
    val backups: Collection<Backup>,
    val creationDateTime: LocalDateTime
)